Create Wiktionary Cantonese
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wiktionary Cantonese.

  • Local file uploads: disabled
  • Additional namespaces: 索引 (Index), 索引討論 (Index_talk), 附錄 (Appendix), 附錄討論 (Appendix_talk)

I note explicitly that this project is to be located at yue.wiktionary.org, with zh-yue.wiktionary.org redirected to it. This is the opposite behavior of what happens in the corresponding Wikipedia project (for now), though T30441 (and other tasks) demonstrate that the aspiration is to move in this direction. Let's create this one properly in the first place.

Thank you.

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
Urbanecm claimed this task.Sep 26 2018, 3:02 PM

Will upload initial configuration.

Urbanecm triaged this task as Low priority.Sep 28 2018, 2:13 PM

Ad proposed meta namespace talk: I'm looking into MessagesYue.php. There's NS_PROJECT_TALK specified as $1傾偈 (where $1 is meta namespace, in this case 維基辭典). As I can see, the difference is in the suffix as well. Of course I can override the meta namespace talk thing via wgMetaNamespaceTalk, but I'm wondering if those suffixes should differ.

Change 463482 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for yuewiktionary

https://gerrit.wikimedia.org/r/463482

Urbanecm removed Urbanecm as the assignee of this task.Sep 28 2018, 2:32 PM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.

@Hello903hello : Can you comment on the namespace question?

@Urbanecm : I noticed a typo at line 3108 in the InitaliseSettings.php. It should be yuewiktionary instead of yoewiktionary.

@Urbanecm : I noticed a typo at line 3108 in the InitaliseSettings.php. It should be yuewiktionary instead of yoewiktionary.

Thank you, fixed.

Asdfugil raised the priority of this task from Low to Normal.Oct 11 2018, 11:27 PM
Asdfugil added a subscriber: Asdfugil.

@Urbanecm : 傾偈, as in $1傾偈 , literally means chatting, while 討論 means discussion (they're more or less the same though). Since there's no community consensus (no response), I would go for 維基辭典討論 (Wiktionary talk).

Thank you for explanation. To be honest, I really do think the "talk" suffix should be the same for all namespaces. I don't find intuitive having following namespaces:

  • NS_TALK: 傾偈
  • NS_TEMPLATE_TALK: 模傾偈

but having 維基辭典討論.

Dzahn edited projects, added Wiki-Setup; removed Wiki-Setup (Create).

Thank you for explanation. To be honest, I really do think the "talk" suffix should be the same for all namespaces. I don't find intuitive having following namespaces:

  • NS_TALK: 傾偈
  • NS_TEMPLATE_TALK: 模傾偈

but having 維基辭典討論.

I guess that's why the Cantonese Wikipedia uses English namespaces.
Anyway, 維基辭典傾偈 is fine, too.

Urbanecm updated the task description. (Show Details)EditedOct 21 2018, 11:24 AM
Urbanecm claimed this task.

Ok, thank you @Hello903hello. Amended.

Urbanecm edited projects, added Wiki-Setup (Create); removed Wiki-Setup.
Urbanecm moved this task from Blocked on others to Working on on the User-Urbanecm board.
Urbanecm removed Urbanecm as the assignee of this task.Oct 21 2018, 12:21 PM
Urbanecm moved this task from Working on to Blocked on others on the User-Urbanecm board.

Change 463482 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for yuewiktionary

https://gerrit.wikimedia.org/r/463482

Change 473488 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add new wikis to wikiversions.json

https://gerrit.wikimedia.org/r/473488

Change 473488 merged by Reedy:
[operations/mediawiki-config@master] Add new wikis to wikiversions.json

https://gerrit.wikimedia.org/r/473488

Change 473507 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/restbase/deploy@master] Add 4 new wikis

https://gerrit.wikimedia.org/r/473507

Change 473520 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Add 4 new wikis

https://gerrit.wikimedia.org/r/473520

Change 473507 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add 4 new wikis

https://gerrit.wikimedia.org/r/473507

Change 473520 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Add 4 new wikis

https://gerrit.wikimedia.org/r/473520

The next step of that is to import those from incubator to the proper site. Not quite sure is to continue in this task, or create the new task regarding for that.

Meno25 added a subscriber: Meno25.Wed, Nov 14, 5:07 PM

@shinjiman This is out of scope for Phabricator, this is tracked on Incubator.

Urbanecm assigned this task to Reedy.Thu, Nov 15, 7:18 AM
Urbanecm added a subscriber: Reedy.

Assigning those task to @Reedy as he created the wikis. Leaving open for possible fixes if those will be necessary.

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-11-15T12:52:10Z] <mobrovac@deploy1001> Started deploy [restbase/deploy@22cb0ec]: Add new wikis to RESTBase - T206777 T205710 T205546 T204477

Mentioned in SAL (#wikimedia-operations) [2018-11-15T13:12:06Z] <mobrovac@deploy1001> Finished deploy [restbase/deploy@22cb0ec]: Add new wikis to RESTBase - T206777 T205710 T205546 T204477 (duration: 19m 56s)

Probably this is not the right place to request interwiki prefix changes, but currently most wikimedia sites' Cantonese Wiktionary link is pointing to the domain zh-yue.wiktionary.org instead of yue.wiktionary.org. Also, zh-yue.wiktionary.org/wiki/$1 doesn't redirect to yue.wiktionary.org/wiki/$1. Hope this would be fixed since this has caused some inconvenience.

Probably this is not the right place to request interwiki prefix changes, but currently most wikimedia sites' Cantonese Wiktionary link is pointing to the domain zh-yue.wiktionary.org instead of yue.wiktionary.org. Also, zh-yue.wiktionary.org/wiki/$1 doesn't redirect to yue.wiktionary.org/wiki/$1. Hope this would be fixed since this has caused some inconvenience.

T209693: Redirect from zh-yue.wiktionary.org is not working properly for the redirect thing.

Regarding interwiki, I think it's because it was expected that this would be under zh-yue.wiktionary.org. It might be fixed by next dump of interwiki cache, but as soon as the redirecting thing would be resolved, it would be okay and not noticeable by most of the users.

WIkidata support seems to be missing, as reported in the Village Pump.

The additional namespaces haven't been added to InitialiseSettings.php.

Whoops. Going to fix it in follow-up patch.

Change 477232 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Create two extra namespaces on yuewiktionary

https://gerrit.wikimedia.org/r/477232

The additional namespaces haven't been added to InitialiseSettings.php.

Do you want English aliases?

The additional namespaces haven't been added to InitialiseSettings.php.

Do you want English aliases?

Will schedule for deployment once I'll get reply.

The additional namespaces haven't been added to InitialiseSettings.php.

Do you want English aliases?

Sure

Change 477741 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Define 2 new namespaces for yuewiktionary

https://gerrit.wikimedia.org/r/477741

Scheduled for today EU SWAT.

Change 477741 merged by jenkins-bot:
[operations/mediawiki-config@master] Define 2 new namespaces for yuewiktionary

https://gerrit.wikimedia.org/r/477741

Mentioned in SAL (#wikimedia-operations) [2018-12-05T12:11:36Z] <dcausse@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T205546: Define 2 new namespaces for yuewiktionary (duration: 00m 47s)

Hello903hello added a comment.EditedWed, Dec 5, 2:14 PM

@Urbanecm In line 7074 it should be 103 instead of 104, causing bad title when visiting https://yue.wiktionary.org/wiki/Appendix talk:test

Blerg... Going to fix that, sorry.

Change 477856 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Fix bad namespace number for yuewiktionary

https://gerrit.wikimedia.org/r/477856

Scheduled for tomorrow EU SWAT.

Change 477856 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix bad namespace number for yuewiktionary

https://gerrit.wikimedia.org/r/477856

Mentioned in SAL (#wikimedia-operations) [2018-12-10T00:55:53Z] <krinkle@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Ic07ff9acfbe17 - T211529, T205546 (duration: 00m 47s)

Urbanecm closed this task as Resolved.Mon, Dec 10, 12:27 PM

Looks all done.

Change 477232 abandoned by Urbanecm:
Create two extra namespaces on yuewiktionary

Reason:
Superseded by https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /477741

https://gerrit.wikimedia.org/r/477232